Get Usage Summary For Organization

Get Usage Summary For Organization
Get usage summary

This endpoint retrieves the specified organization object's memory and app instance usage summary.

Request
URI
GET
https://api.example.local/v3/organizations/{guid}/usage_summary
COPY
Path Parameters
string
guid
Required

The unique identifier for the resource


Authentication
This operation uses the following authentication methods.
Responses
200

OK

{
    "usage_summary": {
        "started_instances": 0,
        "memory_in_mb": 0,
        "routes": 0,
        "service_instances": 0,
        "reserved_ports": 0,
        "domains": 0,
        "per_app_tasks": 0,
        "service_keys": 0
    },
    "links": {
        "self": {
            "href": "string",
            "method": "string"
        },
        "organization": {
            "href": "string",
            "method": "string"
        }
    }
}
object
usage_summary
Optional

usage_summary

object
links
Optional

links


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v3/organizations/{guid}/usage_summary